[IronPython] Is there an equiv for -X:Python25 in Silverlight?

Dino Viehland dinov at exchange.microsoft.com
Mon Jun 23 16:34:41 PDT 2008


For Silverlight there's no need to pass -X:Python25 because IronPython 2.0 is 2.5 compatible by default.  What you will need to do is make sure there's a __future__.py that includes with_statement = True (or any other value) that can be imported by your Silverlight app.  Unfortunately from __future__ import [whatever] isn't so magical that it skips the import.

-----Original Message-----
From: users-bounces at lists.ironpython.com [mailto:users-bounces at lists.ironpython.com] On Behalf Of Dan Eloff
Sent: Monday, June 23, 2008 4:25 PM
To: Discussion of IronPython
Subject: [IronPython] Is there an equiv for -X:Python25 in Silverlight?

I haven't actually tried from __future__ import with_statement, but
I'm guessing it has the same issue that it will only work if
IronPython was started using the -X:Python25 flag. But is there any
way to enable that for silverlight? I took a look at the hosting APIs,
but I could only see a method for getting compiler options, nothing
for setting them.

Thanks,
-Dan
_______________________________________________
Users mailing list
Users at lists.ironpython.com
http://lists.ironpython.com/listinfo.cgi/users-ironpython.com



More information about the Users mailing list